Better warn of detected wikitext on Flow VE mode
Closed, ResolvedPublic

Description

Flow provides support for rich text editing using Visual Editor. As commented in T116417#1756670, some users may still try to type using wikitext.

Visual Editor has a mechanism for detecting when users may be typing wikitext, and shows a warning which can help with the issue. However, as illustrated below, in the Flow context these instructions are inaccurate and hard to spot.

By showing this warning in a way that is more clear and connected with the next steps we could help users to use the mode they need. For example, a tooltip pointing to the mode switch button with a simple "Trying to use wikitext? Change to source mode" message seems a better solution.


(from merged task)

visualeditor-wikitext-warning text appears in VE page editing and also in Flow posts. It mentions UI elements that are relevant in VE page editing, but irrelevant in Flow, so Flow must use another message.

Pginer-WMF updated the task description. (Show Details)
Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF added a subscriber: Pginer-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 28 2015, 11:09 AM
Quiddity updated the task description. (Show Details)Nov 8 2015, 3:52 AM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 8 2015, 3:52 AM
Deskana triaged this task as Lowest priority.Jul 27 2018, 10:15 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 27 2018, 10:15 AM
Catrope moved this task from Inbox to To Triage on the Growth-Team board.Aug 20 2018, 11:01 PM
Etonkovidova closed this task as Resolved.Tue, Sep 25, 12:03 AM
Etonkovidova claimed this task.
Etonkovidova added a subscriber: Etonkovidova.

Re-checked - the popup message is the same now for Flow page and normal pages and does not have references specific to only normal pages:

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptTue, Sep 25, 12:03 AM